Debian Bug report logs - #552478
It seems that /var/halevt directorie is not created

version graph

Package: halevt; Maintainer for halevt is Marcos Talau <talau@users.sourceforge.net>; Source for halevt is src:halevt.

Reported by: nb <nb@dagami.org>

Date: Mon, 26 Oct 2009 17:24:02 UTC

Severity: grave

Tags: moreinfo

Found in version halevt/0.1.5-1

Fixed in version halevt/0.1.5-1.1

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mike O'Connor <stew@debian.org>:
Bug#552478; Package halevt. (Mon, 26 Oct 2009 17:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to nb <nb@dagami.org>:
New Bug report received and forwarded. Copy sent to Mike O'Connor <stew@debian.org>. (Mon, 26 Oct 2009 17:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: nb <nb@dagami.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: It seems that /var/halevt directorie is not created
Date: Mon, 26 Oct 2009 15:51:10 +0100
Package: halevt
Version: 0.1.5-1
Severity: grave
Justification: renders package unusable

Hi,
It seems that on a fresh install /var/halevt is not created.
This causes permission denied error messages when inserting removable media.
I created this directorie with group 46 (plugdev) with write permission to the group. Since then everything is ok.

I'm not sure it is the right way to solve the problem.

Regards

nb


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages halevt depends on:
ii  adduser                     3.111        add and remove users and groups
ii  hal                         0.5.13-3     Hardware Abstraction Layer
ii  libboolstuff-0.1-0          0.1.12-3     library for operating on boolean e
ii  libc6                       2.10.1-2     GNU C Library: Shared libraries
ii  libdbus-1-3                 1.2.16-2     simple interprocess messaging syst
ii  libdbus-glib-1-2            0.82-2       simple interprocess messaging syst
ii  libglib2.0-0                2.22.2-2     The GLib library of C routines
ii  libhal1                     0.5.13-3     Hardware Abstraction Layer - share
ii  libxml2                     2.7.6.dfsg-1 GNOME XML library

halevt recommends no packages.

halevt suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Mike O'Connor <stew@debian.org>:
Bug#552478; Package halevt. (Fri, 27 Nov 2009 23:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Mike O'Connor <stew@debian.org>. (Fri, 27 Nov 2009 23:36:04 GMT) Full text and rfc822 format available.

Message #10 received at 552478@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 552478@bugs.debian.org
Cc: 552478-submitter@bugs.debian.org
Subject: Re: #552478: It seems that /var/halevt directorie is not created
Date: Sat, 28 Nov 2009 00:32:03 +0100
Tags 552478 +moreinfo
thanks

Hi,

please cite the full error message. In general, no package-specific
directories should be created in /var, so if halevt needed it I guess it
would be a bug.  Are you talking about /var/lib/halevt instead?


Michael




Added tag(s) moreinfo. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Fri, 27 Nov 2009 23:36:07 GMT) Full text and rfc822 format available.

Message sent on to nb <nb@dagami.org>:
Bug#552478. (Fri, 27 Nov 2009 23:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike O'Connor <stew@debian.org>:
Bug#552478; Package halevt. (Sat, 28 Nov 2009 08:01:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to nb <nb@dagami.org>:
Extra info received and forwarded to list. Copy sent to Mike O'Connor <stew@debian.org>. (Sat, 28 Nov 2009 08:01:33 GMT) Full text and rfc822 format available.

Message #20 received at 552478@bugs.debian.org (full text, mbox):

From: nb <nb@dagami.org>
To: Michael Banck <mbanck@debian.org>
Cc: 552478-quiet@bugs.debian.org, 552478@bugs.debian.org, 552478-submitter@bugs.debian.org
Subject: Re: Bug#552478: #552478: It seems that /var/halevt directorie is not created
Date: Sat, 28 Nov 2009 08:52:46 +0100
Sorry, the real message is :
Cannot create directory /var/halevt: Permission non accordée
when it doesn't exist

Furthermore it must be plugdev group and have write pemission

nb


Le samedi 28 novembre 2009 à 08:43 +0100, nb a écrit :
> Hi Michael,
> 
> In fact there's no error message, it simply doesn't work.
> But if you run halevt manually in the forground and plug an usb key, you
> will see something like this :
> 
> hal_interface.c:861 (halevt_run_command) Exécution de halevt-mount
> -u /org/freedesktop/Hal/devices/volume_uuid_C8A9_128F -o sync -m 002
> Error opening lock file /var/halevt/halevt.lock: Permission non accordée
> Error locking lock file /var/halevt/halevt.lock: Mauvais descripteur de
> fichier
> Error opening /var/halevt/uditab.tmp: Permission non accordée
> 
> Which means permission denied and bad file descriptor.
> 
> But if you create /var/halevt, everything is ok
> 
> Regards,
> 
> nb
> 
> 
> Le samedi 28 novembre 2009 à 00:32 +0100, Michael Banck a écrit :
> > Tags 552478 +moreinfo
> > thanks
> > 
> > Hi,
> > 
> > please cite the full error message. In general, no package-specific
> > directories should be created in /var, so if halevt needed it I guess it
> > would be a bug.  Are you talking about /var/lib/halevt instead?
> > 
> > 
> > Michael
> > 
> > 
> 





Information stored :
Bug#552478; Package halevt. (Sat, 28 Nov 2009 08:01:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to nb <nb@dagami.org>:
Extra info received and filed, but not forwarded. (Sat, 28 Nov 2009 08:01:38 GMT) Full text and rfc822 format available.

Message sent on to nb <nb@dagami.org>:
Bug#552478. (Sat, 28 Nov 2009 08:01:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike O'Connor <stew@debian.org>:
Bug#552478; Package halevt. (Sat, 28 Nov 2009 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to nb <nb@dagami.org>:
Extra info received and forwarded to list. Copy sent to Mike O'Connor <stew@debian.org>. (Sat, 28 Nov 2009 08:18:03 GMT) Full text and rfc822 format available.

Message #33 received at 552478@bugs.debian.org (full text, mbox):

From: nb <nb@dagami.org>
To: Michael Banck <mbanck@debian.org>, 552478-quiet@bugs.debian.org
Cc: 552478@bugs.debian.org, 552478-submitter@bugs.debian.org
Subject: Re: Bug#552478: #552478: It seems that /var/halevt directorie is not created
Date: Sat, 28 Nov 2009 08:43:48 +0100
Hi Michael,

In fact there's no error message, it simply doesn't work.
But if you run halevt manually in the forground and plug an usb key, you
will see something like this :

hal_interface.c:861 (halevt_run_command) Exécution de halevt-mount
-u /org/freedesktop/Hal/devices/volume_uuid_C8A9_128F -o sync -m 002
Error opening lock file /var/halevt/halevt.lock: Permission non accordée
Error locking lock file /var/halevt/halevt.lock: Mauvais descripteur de
fichier
Error opening /var/halevt/uditab.tmp: Permission non accordée

Which means permission denied and bad file descriptor.

But if you create /var/halevt, everything is ok

Regards,

nb


Le samedi 28 novembre 2009 à 00:32 +0100, Michael Banck a écrit :
> Tags 552478 +moreinfo
> thanks
> 
> Hi,
> 
> please cite the full error message. In general, no package-specific
> directories should be created in /var, so if halevt needed it I guess it
> would be a bug.  Are you talking about /var/lib/halevt instead?
> 
> 
> Michael
> 
> 





Information stored :
Bug#552478; Package halevt. (Sat, 28 Nov 2009 08:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to nb <nb@dagami.org>:
Extra info received and filed, but not forwarded. (Sat, 28 Nov 2009 08:18:04 GMT) Full text and rfc822 format available.

Message sent on to nb <nb@dagami.org>:
Bug#552478. (Sat, 28 Nov 2009 08:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike O'Connor <stew@debian.org>:
Bug#552478; Package halevt. (Sat, 28 Nov 2009 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Mike O'Connor <stew@debian.org>. (Sat, 28 Nov 2009 11:21:03 GMT) Full text and rfc822 format available.

Message #46 received at 552478@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: nb <nb@dagami.org>
Cc: 552478@bugs.debian.org
Subject: Re: Bug#552478: #552478: It seems that /var/halevt directorie is not created
Date: Sat, 28 Nov 2009 12:16:38 +0100
Hi,

On Sat, Nov 28, 2009 at 08:43:48AM +0100, nb wrote:
> In fact there's no error message, it simply doesn't work.
> But if you run halevt manually in the forground and plug an usb key, you
> will see something like this :
> 
> hal_interface.c:861 (halevt_run_command) Exécution de halevt-mount
> -u /org/freedesktop/Hal/devices/volume_uuid_C8A9_128F -o sync -m 002
> Error opening lock file /var/halevt/halevt.lock: Permission non accordée
> Error locking lock file /var/halevt/halevt.lock: Mauvais descripteur de
> fichier
> Error opening /var/halevt/uditab.tmp: Permission non accordée
> 
> Which means permission denied and bad file descriptor.

Hrm, ok.

Can you remove /var/halevt temporarily again and try the following
package:

http://people.debian.org/~mbanck/halevt_0.1.5-1.1_i386.deb

and tell me whether it works for you?


Thanks,

Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Mike O'Connor <stew@debian.org>:
Bug#552478; Package halevt. (Sat, 28 Nov 2009 12:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to nb <nb@dagami.org>:
Extra info received and forwarded to list. Copy sent to Mike O'Connor <stew@debian.org>. (Sat, 28 Nov 2009 12:12:02 GMT) Full text and rfc822 format available.

Message #51 received at 552478@bugs.debian.org (full text, mbox):

From: nb <nb@dagami.org>
To: Michael Banck <mbanck@debian.org>
Cc: 552478@bugs.debian.org
Subject: Re: Bug#552478: #552478: It seems that /var/halevt directorie is not created
Date: Sat, 28 Nov 2009 13:06:46 +0100
Hi Michael,

I have tried it on two computers and it works now like a charme (after
having removed /var/halevt directory)

Thanks

nb


Le samedi 28 novembre 2009 à 12:16 +0100, Michael Banck a écrit :
> Hi,
> 
> On Sat, Nov 28, 2009 at 08:43:48AM +0100, nb wrote:
> > In fact there's no error message, it simply doesn't work.
> > But if you run halevt manually in the forground and plug an usb key, you
> > will see something like this :
> > 
> > hal_interface.c:861 (halevt_run_command) Exécution de halevt-mount
> > -u /org/freedesktop/Hal/devices/volume_uuid_C8A9_128F -o sync -m 002
> > Error opening lock file /var/halevt/halevt.lock: Permission non accordée
> > Error locking lock file /var/halevt/halevt.lock: Mauvais descripteur de
> > fichier
> > Error opening /var/halevt/uditab.tmp: Permission non accordée
> > 
> > Which means permission denied and bad file descriptor.
> 
> Hrm, ok.
> 
> Can you remove /var/halevt temporarily again and try the following
> package:
> 
> http://people.debian.org/~mbanck/halevt_0.1.5-1.1_i386.deb
> 
> and tell me whether it works for you?
> 
> 
> Thanks,
> 
> Michael





Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Sat, 28 Nov 2009 13:24:15 GMT) Full text and rfc822 format available.

Notification sent to nb <nb@dagami.org>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 13:24:15 GMT) Full text and rfc822 format available.

Message #56 received at 552478-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 552478-close@bugs.debian.org
Subject: Bug#552478: fixed in halevt 0.1.5-1.1
Date: Sat, 28 Nov 2009 13:17:08 +0000
Source: halevt
Source-Version: 0.1.5-1.1

We believe that the bug you reported is fixed in the latest version of
halevt, which is due to be installed in the Debian FTP archive:

halevt_0.1.5-1.1.diff.gz
  to main/h/halevt/halevt_0.1.5-1.1.diff.gz
halevt_0.1.5-1.1.dsc
  to main/h/halevt/halevt_0.1.5-1.1.dsc
halevt_0.1.5-1.1_i386.deb
  to main/h/halevt/halevt_0.1.5-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 552478@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated halevt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 28 Nov 2009 12:04:48 +0100
Source: halevt
Binary: halevt
Architecture: source i386
Version: 0.1.5-1.1
Distribution: unstable
Urgency: low
Maintainer: Mike O'Connor <stew@debian.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 halevt     - Generic handler for HAL events
Closes: 552478
Changes: 
 halevt (0.1.5-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/patches/series: Disabled fix_systemdir_path (Closes: #552478)
Checksums-Sha1: 
 784b777b170f10b563434f18cbbcb1574c7dad2a 1110 halevt_0.1.5-1.1.dsc
 7bd62f392ba115e47a2e8b23f53165f251f86137 7877 halevt_0.1.5-1.1.diff.gz
 086dfe55575e9c23df6ece64ff3df76cbf02e513 57602 halevt_0.1.5-1.1_i386.deb
Checksums-Sha256: 
 e8219cd57e64181ee9af3385028e5edf23ab901e138f57acb286ee5b1f91b6f1 1110 halevt_0.1.5-1.1.dsc
 f379050c0fb01b43e0f34add2ba498f07c3dd3bafbf5000e9e2854fa38cda3ca 7877 halevt_0.1.5-1.1.diff.gz
 544a3d121dc6b7a1a25f31a62ddd92b88bc569661b3ea79e506ad3bec7bd1dce 57602 halevt_0.1.5-1.1_i386.deb
Files: 
 5f135fd6733828b1181d2662aeabc776 1110 admin optional halevt_0.1.5-1.1.dsc
 c655bd73140d153ca7c14d9b37435601 7877 admin optional halevt_0.1.5-1.1.diff.gz
 f59cc3030c70fa3547e4476442f7d1d1 57602 admin optional halevt_0.1.5-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLESDimHaJYZ7RAb8RA9irAJ9ltE6BFsVLKREkDXZ30jJNcTPnbACfV0sn
kgD2xhbKrJGjkwKEWUb0XrU=
=ZMK4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Jan 2010 07:51:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:13:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.